Show / Hide Table of Contents

# Struct hkaDefaultAnimationControl

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.Havok

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct hkaDefaultAnimationControl

### Fields

| Improve this Doc View Source

#### CropEndAmountLocalTime

##### Declaration

    public float CropEndAmountLocalTime

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### CropStartAmountLocalTime

##### Declaration

    public float CropStartAmountLocalTime

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### DefaultListeners

##### Declaration

    public hkArray<hkaDefaultAnimationControl.hkaDefaultAnimationControlListener> DefaultListeners

##### Field Value

Type | Description
--- | ---
hkArray<hkaDefaultAnimationControl.hkaDefaultAnimationControlListener> |

| Improve this Doc View Source

#### EaseInCurve

##### Declaration

    public hkVector4f EaseInCurve

##### Field Value

Type | Description
--- | ---
hkVector4f |

| Improve this Doc View Source

#### EaseInvDuration

##### Declaration

    public float EaseInvDuration

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### EaseOutCurve

##### Declaration

    public hkVector4f EaseOutCurve

##### Field Value

Type | Description
--- | ---
hkVector4f |

| Improve this Doc View Source

#### EaseStatus

##### Declaration

    public hkaDefaultAnimationControl.EaseStatusEnum EaseStatus

##### Field Value

Type | Description
--- | ---
hkaDefaultAnimationControl.EaseStatusEnum |

| Improve this Doc View Source

#### EaseT

##### Declaration

    public float EaseT

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### hkaAnimationControl

##### Declaration

    public hkaAnimationControl hkaAnimationControl

##### Field Value

Type | Description
--- | ---
hkaAnimationControl |

| Improve this Doc View Source

#### Mapper

##### Declaration

    public hkaDefaultAnimationControl.hkaDefaultAnimationControlMapperData*Mapper

##### Field Value

Type | Description
--- | ---
hkaDefaultAnimationControl.hkaDefaultAnimationControlMapperData* |

| Improve this Doc View Source

#### MasterWeight

##### Declaration

    public float MasterWeight

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### MaxCycles

##### Declaration

    public int MaxCycles

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### OverflowCount

##### Declaration

    public uint OverflowCount

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### PlaybackSpeed

##### Declaration

    public float PlaybackSpeed

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### UnderflowCount

##### Declaration

    public uint UnderflowCount

##### Field Value

Type | Description
--- | ---
System.UInt32 |

### Methods

| Improve this Doc View Source

#### Ctor1(hkaDefaultAnimationControl*)

##### Declaration

    public void Ctor1(hkaDefaultAnimationControl*other)

##### Parameters

Type | Name | Description
--- | --- | ---
hkaDefaultAnimationControl* | other |